{
	"description": "Window analysis data estimated from scandata and resulting filter parameters",
	"type": "object",
	"$schema": "http://json-schema.org/draft-04/schema#",
	"title": "Window Analysis",
	"required": [
		"result",
		"filter",
		"settings"
	],
	"properties": {
		"result": {
			"type": "object",
			"required": [
				"angle",
				"range_mean",
				"range_sigma",
				"amplitude_mean",
				"amplitude_sigma",
				"amplitude_offset"
			],
			"properties": {
				"range_mean": {
					"type": "array",
					"description": "[m]",
					"items": {
						"type": "number"
					}
				},
				"range_sigma": {
					"type": "array",
					"description": "[m]",
					"items": {
						"type": "number"
					}
				},
				"amplitude_sigma": {
					"type": "array",
					"description": "[dB]",
					"items": {
						"type": "number"
					}
				},
				"timestamp": {
					"type": "array",
					"description": "[s]",
					"items": {
						"type": "number"
					}
				},
				"amplitude_offset": {
					"type": "array",
					"description": "[dB]",
					"items": {
						"type": "number"
					}
				},
				"angle": {
					"type": "array",
					"description": "[deg]",
					"items": {
						"type": "number"
					}
				},
				"amplitude_mean": {
					"type": "array",
					"description": "[dB]",
					"items": {
						"type": "number"
					}
				}
			}
		},
		"settings": {
			"type": "object",
			"required": [
				"range",
				"amplitude"
			],
			"properties": {
				"range": {
					"type": "object",
					"required": [
						"sigma_factor",
						"additive_value"
					],
					"properties": {
						"additive_value": {
							"type": "number"
						},
						"sigma_factor": {
							"type": "number"
						}
					}
				},
				"amplitude": {
					"type": "object",
					"required": [
						"sigma_factor",
						"additive_value"
					],
					"properties": {
						"additive_value": {
							"type": "number"
						},
						"sigma_factor": {
							"type": "number"
						}
					}
				}
			}
		},
		"filter": {
			"type": "object",
			"required": [
				"angle",
				"range_min",
				"range_max",
				"amplitude_max"
			],
			"properties": {
				"range_max": {
					"type": "array",
					"description": "[m]",
					"items": {
						"type": "number"
					}
				},
				"amplitude_max": {
					"type": "array",
					"description": "[dB]",
					"items": {
						"type": "number"
					}
				},
				"angle": {
					"type": "array",
					"description": "[deg]",
					"items": {
						"type": "number"
					}
				},
				"range_min": {
					"type": "array",
					"description": "[m]",
					"items": {
						"type": "number"
					}
				}
			}
		}
	}
}